Bug 149550 - CRASH: copying textbox
Summary: CRASH: copying textbox
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Attila Bakos (NISZ)
URL:
Whiteboard: target:7.5.0 target:7.4.0.0.beta2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Crash
  Show dependency treegraph
 
Reported: 2022-06-13 11:14 UTC by Xisco Faulí
Modified: 2022-07-11 07:15 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By: Attila Bakos


Attachments
sample file (29.03 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2022-06-13 11:14 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2022-06-13 11:14:36 UTC
Created attachment 180724 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Select all
3. Copy

-> Crash

Reproduced in

Version: 7.4.0.0.alpha1+ / LibreOffice Community
Build ID: d4123356c61db269651e950a0a2cc93e6d801c90
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: x11
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2022-06-13 11:15:23 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=2951cbdf3a6e2b62461665546b47e1d253fcb834

author	Attila Bakos (NISZ) <bakos.attilakaroly@nisz.hu>	2021-11-10 14:10:11 +0100
committer	László Németh <nemeth@numbertext.org>	2022-01-03 14:28:15 +0100
commit 2951cbdf3a6e2b62461665546b47e1d253fcb834 (patch)
tree d09834b7f1e68e7b3664ed03c5d2ed3c73de552d
parent cce57fd94e9335c5dd5f3725a5fe54f5d3929e8d (diff)
tdf#143574 OOXML export/import of textboxes in group shapes

Bisected with: bibisect-linux64-7.4

Adding Cc: to Attila Bakos
Comment 2 Attila Bakos (NISZ) 2022-06-16 14:24:30 UTC
Missing implementation of this is fixed with:
https://gerrit.libreoffice.org/c/core/+/135815
After merge this can be closed.
Comment 3 Commit Notification 2022-06-29 08:36:25 UTC
Attila Bakos (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cd67e988f27de819a39e75e5243b9b20ba56faab

tdf#149550 sw: fix crash by implementing nested textbox copy

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2022-06-29 11:06:54 UTC
Attila Bakos (NISZ) committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/56b3fb0cc14af8dd2a1ddaee4566cbf53fe05c4c

tdf#149550 sw: fix crash by implementing nested textbox copy

It will be available in 7.4.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 NISZ LibreOffice Team 2022-07-11 07:15:24 UTC
Verified in:
Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: a93d7e7df6804cd6f1f2fa1ef0e6e95ce6c3752a
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL